
import * as Yup from "yup";


export const getInitialValues = (objectToEdit: any | null = null): any => {
  return {
    id: objectToEdit?.id ?? null,
    name: objectToEdit?.name ?? null,
    image: objectToEdit?.image ?? null,
    restaurant_id: objectToEdit?.restaurant_id ?? null,

  };
};

export const getValidationSchema = (editMode: boolean = false): Yup.Schema<any> => {
  // Validate input
  return Yup.object().shape({
    name: Yup.string().required('Required'),

  });
};

